# Interface LexerOptions

interface LexerOptions {
isIdentifierContinue: ((ch: string, codePoint: number) => boolean);
isIdentifierStart: ((ch: string, codePoint: number) => boolean);
}

- Defined in core/parser/lexer.js:20

#####
Index

### Properties

isIdentifierContinue
isIdentifierStart

##
Properties

### isIdentifierContinue

isIdentifierContinue: ((ch: string, codePoint: number) => boolean)

Custom function to determine if a character is a valid identifier continuation.

- Defined in core/parser/lexer.js:22

### isIdentifierStart

isIdentifierStart: ((ch: string, codePoint: number) => boolean)

Custom function to determine if a character is a valid identifier start.

- Defined in core/parser/lexer.js:21